## gnome-tetravex 3.8.0

=== debian/changelog ===
gnome-tetravex (1:3.8.0-0ubuntu1) raring; urgency=low

  * New upstream release
    - Rename .desktop launcher back to 3.6 version for smoother upgrades
    - Add app icon for high contrast theme
    - Translation updates

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 06 Apr 2013 14:58:15 -0400

gnome-tetravex (1:3.7.90-0ubuntu1) raring; urgency=low

  * Sync with Debian svn

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 19 Feb 2013 12:23:10 -0500

gnome-tetravex (1:3.7.90-1) UNRELEASED; urgency=low

  * Package split from gnome-games
  * Add transitional package for rename from gnotravex

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 10 Feb 2013 20:06:14 -0500

gnome-games (1:3.4.2-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/91_glchess_engine.patch:
    - Cherry-pick patch from upstream Git to kill gnuchess engine
      processes on new game/exit (Closes: #675003).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Aug 2012 23:14:54 +0200

gnome-games (1:3.4.2-2) unstable; urgency=low

  * debian/patches/02_swell-foop-datadir.patch: Install data files into
    /usr/share/swell-foop not /usr/share/gnome-games and use the correct path
    for the gettext translations. Patch cherry-picked from upstream Git.
  * debian/swell-foop.install: Update accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 May 2012 07:30:46 +0200

gnome-games (1:3.4.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
      gobject-introspection
    - Tighten gnome-games-data dependency for Lights Off & Swell Foop
  * debian/patches/90_fix-help-links.patch: Dropped, applied upstream
  * debian/patches/91_fix-gnuchess6-compatibility.patch:
    - Git patch to enable Chess to work with gnuchess 6 (Closes: #668435)

  [ Michael Biebl ]
  * Drop obsolete --disable-gnuchess configure switch.
  * debian/patches/01_swell-foop-setgid.patch: Make sure swell-foop is
    installed with the correct setgid bits set so it can write to the scores
    files.
  * debian/scores/swell-foop.inst: Install scores files for swell-foop.
  * Drop obsolete Conflicts, Breaks and Replaces.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 May 2012 07:40:19 +0200

gnome-games (1:3.4.1-2) unstable; urgency=low

  * Demote the aisleriot dependency to a recommendation as long as
    guile-2.0 isn't available on armel, armhf and ia64.

 -- Jordi Mallach <jordi@debian.org>  Fri, 11 May 2012 00:52:38 +0200

gnome-games (1:3.4.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * Re-enable lightsoff and swell-foop
  * debian.control.in:
    - Build-depend on valac-0.16 and GTK 3.3.11
    - Build-depend on yelp-tools instead of gnome-doc-utils
    - Drop gconf dependency
    - Standards-Version 3.9.3
  * debian/*.install: Updated for new files and directories
  * debian/patches/90_fix-sudoku-borders.patch: Dropped, applied upstream
  * debian/patches/90_fix-help-links.patch:
    Patch derived from Git to fix links to help in several games
  * Use dh-autoreconf for the above patch

  [ Jordi Mallach ]
  * New upstream release.
  * Rewrite copyright file in machine-readable format 1.0.
  * Add many copyright entries for lots of missing bits.
  * Build-Depend on gobject-introspection and gnome-common to fix
    autoreconf, but pass --disable-introspection to ensure introspection
    remains disabled.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 May 2012 17:02:41 +0200

gnome-games (1:3.2.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gi.

  [ Michael Biebl ]
  * debian/watch:
    - Track .xz tarballs.
  * debian/control.in:
    - Add Depends on python-gi-cairo to gnome-sudoku. Closes: #643692
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Dec 2011 20:49:10 +0100

gnome-games (1:3.2.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream stable release.
    - Aisleriot has been split into its own package
    - Five or More, Iagno, Mahjongg, Mines and Tetravex were ported to
      GSettings
    - Sudoku was ported to pygobject
  * debian/control.in:
    - Add Vcs links
    - Dropped aisleriot & its dependencies
    - Require valac-0.14 and pygobject 2.90
  * debian/pycompat: Dropped, obsolete.
  * debian/patches/01_theme_install.patch: Dropped, applied upstream

  [ Jordi Mallach ]
  * New upstream release.
  * Merge from Ubuntu:
    - debian/patches/90_fix-sudoku-borders.patch: Bugzilla patch to
      fix missing borders in Sudoku (LP: #844385).
  * Tighten aisleriot dependency to >= ${gnome:Version}.
  * Replace versioned conflicts with breaks.
  * Remove aisleriot bits from copyright file.

 -- Jordi Mallach <jordi@debian.org>  Thu, 24 Nov 2011 19:47:53 +0100

gnome-games (1:3.0.2-2) unstable; urgency=low

  * Fix pygobject dependency. Closes: #643030.
  * gnome-cards-data also breaks g-g-extra-data.
  * Add missing epoch to all breaks/replaces.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Sep 2011 23:13:06 +0200

gnome-games (1:3.0.2-1) unstable; urgency=low

  * Make gnome-cards-data Replaces: gnome-games-extra-data.
    Closes: #629925.
  * New upstream release.
  * Explicitly disable swell-foop and lightsoff since they are going 
    away in 3.2 (pending a port to vala or C). Closes: #623988.
  * Update build-dependencies.
  * Drop introspection, it’s only used for JS games.
  * Build-conflict with libclutter-gtk-0.10-dev because of BZ#643080.
  * 01_theme_install.patch: new patch. List packages for installation of 
    extra card themes.
  * Split all games in separate packages to prepare for the upcoming 
    split upstream. Closes: #167372.
  * Small updates to copyright file accordingly.
  * Remove old-style menu files.

 -- Josselin Mouette <joss@debian.org>  Sat, 24 Sep 2011 13:48:36 +0200

gnome-games (1:3.0.1.1-1) experimental; urgency=low

  * New upstream stable release.


## gnome-tetravex 3.38.2

=== meson_options.txt ===
option('build_cli', type : 'boolean', value : false, description : 'Build the command-line interface, `gnome-tetravex-cli`')
option('build_gui', type : 'boolean', value : true , description : 'Build the graphical Gtk user interface, `gnome-tetravex`')

## gnome-tetravex 3.8.1

=== debian/changelog ===
gnome-tetravex (1:3.8.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Package split from gnome-games
  * Add transitional package for rename from gnotravex

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Swith valac-0.18 build dependency to valac (>= 0.18).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 May 2013 20:12:28 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-tetravex
Section: games
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://live.gnome.org/Tetravex
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools,
               intltool (>= 0.35.0),
               libglib2.0-dev,
               libgtk-3-dev (>= 3.4.0),
               librsvg2-dev (>= 2.32.0),
               valac (>= 0.18),
               yelp-tools
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-tetravex
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-tetravex/

Package: gnome-tetravex
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Breaks: gnotravex (<< 1:3.7.2)
Replaces: gnotravex (<< 1:3.7.2)
Description: put tiles on a board and match their edges together
 GNOME Tetravex is a simple puzzle game which scope is to move the
 various pieces from one side of the board to the other side, so that
 the same numbers depicted on the pieces are touching each other.

Package: gnotravex
Architecture: all
Priority: extra
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-tetravex
Description: put tiles on a board and match their edges (transitional package)
 This is a solitaire (one player) version of the classic Eastern tile
 game, Mahjongg.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-tetravex/([\d\.]+[02468])/ \
	gnome-tetravex-(.*)\.tar\.xz

## gnome-tetravex 3.14.0

=== debian/changelog ===
gnome-tetravex (1:3.14.0-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in:
    - Update homepage
    - Fix transitional package description. Closes: #714444, 732847

  [ Jackson Doak ]
  * New upstream release
  * debian/control:
    - Drop build-depend on librsvg, it's no longer needed
    - Bump build-depend versions; libglib2.0-dev (>= 2.40.0);
      libgtk-3-dev (>= 3.13.2); valac (>= 0.24)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 26 Sep 2014 10:42:45 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-tetravex
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://wiki.gnome.org/Tetravex
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools,
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.40.0),
               libgtk-3-dev (>= 3.13.2),
               valac (>= 0.24),
               yelp-tools
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-tetravex
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-tetravex/

Package: gnome-tetravex
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Breaks: gnotravex (<< 1:3.7.2)
Replaces: gnotravex (<< 1:3.7.2)
Description: put tiles on a board and match their edges together
 GNOME Tetravex is a simple puzzle game which scope is to move the
 various pieces from one side of the board to the other side, so that
 the same numbers depicted on the pieces are touching each other.

Package: gnotravex
Architecture: all
Priority: extra
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-tetravex
Description: put tiles on a board and match their edges (transitional package)
 GNOME Tetravex is a simple puzzle game which scope is to move the
 various pieces from one side of the board to the other side, so that
 the same numbers depicted on the pieces are touching each other.

## gnome-tetravex 3.16.0

=== debian/changelog ===
gnome-tetravex (1:3.16.0-1svn1) wily; urgency=medium

  * debian/patches/set_locale_dir.patch:
    - don't use datadirname variable, new intltool doesn't define that one
      resulting in a wrong locale directory

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Jun 2015 19:20:26 +0200

gnome-tetravex (1:3.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage: URL.
  * Update Build-Depends:
    - Add appstream-util.
    - Bump libgtk-3-dev to (>= 3.13.4).
    - Bump intltool to (>= 0.50.0).
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Jun 2015 01:23:36 +0200

## gnome-tetravex 3.18.0

=== debian/changelog ===
gnome-tetravex (1:3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 06 Oct 2015 17:51:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,20 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
-Homepage: https://wiki.gnome.org/Tetravex
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Homepage: https://wiki.gnome.org/Apps/Tetravex
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 8),
                dh-autoreconf,
                gnome-common,
                gnome-pkg-tools,
-               intltool (>= 0.35.0),
+               intltool (>= 0.50.0),
+               appstream-util,
                libglib2.0-dev (>= 2.40.0),
-               libgtk-3-dev (>= 3.13.2),
+               libgtk-3-dev (>= 3.13.4),
                valac (>= 0.24),
                yelp-tools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-tetravex
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-tetravex/

## gnome-tetravex 3.20.0

=== debian/changelog ===
gnome-tetravex (1:3.20.0-2) unstable; urgency=medium

  * Clean up old scores files. They are no longer stored system wide
    but in the user's home directory.

 -- Michael Biebl <biebl@debian.org>  Mon, 16 May 2016 02:33:11 +0200

gnome-tetravex (1:3.20.0-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

  [ Andreas Henriksson ]
  * Drop gnotravex transitional package.
    - transition done in jessie so should no longer be needed.
  * Drop debian/gnome-tetravex.install
    - we now build a single binary package so should no longer be needed.
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 May 2016 15:56:31 +0200

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
                libgtk-3-dev (>= 3.13.4),
                valac (>= 0.24),
                yelp-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-tetravex
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-tetravex/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-tetravex/
 
 Package: gnome-tetravex
 Architecture: any
@@ -34,15 +34,3 @@
  GNOME Tetravex is a simple puzzle game which scope is to move the
  various pieces from one side of the board to the other side, so that
  the same numbers depicted on the pieces are touching each other.
-
-Package: gnotravex
-Architecture: all
-Priority: extra
-Section: oldlibs
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         gnome-tetravex
-Description: put tiles on a board and match their edges (transitional package)
- GNOME Tetravex is a simple puzzle game which scope is to move the
- various pieces from one side of the board to the other side, so that
- the same numbers depicted on the pieces are touching each other.

## gnome-tetravex 3.21.90

=== debian/changelog ===
gnome-tetravex (1:3.21.90-0ubuntu1) yakkety; urgency=medium

  * New upstream release
  * debian/control.in:
    - Drop gnome-common build-dependency
  * Convert from cdbs to dh
  * Add debian/docs to install NEWS
  * Enable parallel builds and all hardening flags

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2016 19:41:25 -0400

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
 Source: gnome-tetravex
 Section: games
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Tetravex
-Build-Depends: cdbs (>= 0.4.90~),
+Build-Depends: appstream-util,
                debhelper (>= 8),
                dh-autoreconf,
-               gnome-common,
                gnome-pkg-tools,
                intltool (>= 0.50.0),
-               appstream-util,
                libglib2.0-dev (>= 2.40.0),
                libgtk-3-dev (>= 3.13.4),
                valac (>= 0.24),

## gnome-tetravex 3.22.0

=== debian/changelog ===
gnome-tetravex (1:3.22.0-3) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Restore -Wl,-O1 to our LDFLAGS
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 16:52:51 -0500

gnome-tetravex (1:3.22.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 18:08:51 -0500

gnome-tetravex (1:3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 23:11:02 +0200

gnome-tetravex (1:3.21.90-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Drop gnome-common build-dependency
  * Convert from cdbs to dh
  * Add debian/docs to install NEWS
  * Bump debhelper compat to 10
  * Enable all hardening flags

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2016 16:23:17 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-tetravex
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               debhelper-compat (= 12),
               gnome-pkg-tools,
               intltool (>= 0.50.0),
               libglib2.0-dev (>= 2.40.0),
               libgtk-3-dev (>= 3.13.4),
               valac (>= 0.24),
               yelp-tools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-tetravex
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-tetravex.git
Homepage: https://wiki.gnome.org/Apps/Tetravex

Package: gnome-tetravex
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Breaks: gnotravex (<< 1:3.7.2)
Replaces: gnotravex (<< 1:3.7.2)
Description: put tiles on a board and match their edges together
 GNOME Tetravex is a simple puzzle game which scope is to move the
 various pieces from one side of the board to the other side, so that
 the same numbers depicted on the pieces are touching each other.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --bindir=\$${prefix}/games

override_dh_autoreconf:
	find . -name "*_vala.stamp" -print -delete
	dh_autoreconf --as-needed

## gnome-tetravex 3.31.90

=== debian/changelog ===
gnome-tetravex (1:3.31.90-2ubuntu1) disco; urgency=medium

  * Add X-Ubuntu-Use-Langpack: yes to opt into Ubuntu language packs

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 05 Feb 2019 11:36:20 -0500

gnome-tetravex (1:3.31.90-2) experimental; urgency=medium

  * Cherry-pick meson-Explicitly-link-with-lm.patch:
    - fix build on many architectures

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Feb 2019 10:53:02 -0500

gnome-tetravex (1:3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build with meson
  * Build-Depend on dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Feb 2019 21:54:47 -0500

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,20 @@
 Source: gnome-tetravex
 Section: games
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: appstream-util,
-               debhelper-compat (= 12),
-               gnome-pkg-tools,
-               intltool (>= 0.50.0),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               appstream-util <!nocheck>,
+               desktop-file-utils <!nocheck>,
+               dh-sequence-gnome,
+               itstool,
                libglib2.0-dev (>= 2.40.0),
                libgtk-3-dev (>= 3.13.4),
+               meson (>= 0.37.1),
                valac (>= 0.24),
-               yelp-tools
 Standards-Version: 4.3.0
+X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-tetravex
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-tetravex.git
 Homepage: https://wiki.gnome.org/Apps/Tetravex

## gnome-tetravex 3.32.0

=== debian/changelog ===
gnome-tetravex (1:3.32.0-2) experimental; urgency=medium

  * New upstream release
  * Add X-Ubuntu-Use-Langpack: yes to opt into Ubuntu language packs
  * Drop meson-Explicitly-link-with-lm.patch: Applied

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 21:06:27 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gnome-tetravex
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
                appstream-util <!nocheck>,

## gnome-tetravex 3.34.1

=== debian/changelog ===
gnome-tetravex (1:3.34.1-1) unstable; urgency=medium

  * New upstream translations update

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 10 Oct 2019 06:23:14 -0400

gnome-tetravex (1:3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.0
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 07:15:54 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
@@ -16,7 +16,7 @@
                libgtk-3-dev (>= 3.13.4),
                meson (>= 0.37.1),
                valac (>= 0.24),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-tetravex
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-tetravex.git

## gnome-tetravex 3.36.0

=== debian/changelog ===
gnome-tetravex (1:3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 21 Mar 2020 11:37:01 +0100

gnome-tetravex (1:3.35.91-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated the glib, gtk and meson requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Feb 2020 11:28:37 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
                itstool,
-               libglib2.0-dev (>= 2.40.0),
-               libgtk-3-dev (>= 3.13.4),
-               meson (>= 0.37.1),
+               libglib2.0-dev (>= 2.42.0),
+               libgtk-3-dev (>= 3.22.23),
+               meson (>= 0.50),
                valac (>= 0.24),
 Standards-Version: 4.4.0
 X-Ubuntu-Use-Langpack: yes

## gnome-tetravex 3.36.2

=== debian/changelog ===
gnome-tetravex (1:3.36.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 May 2020 20:42:44 -0400

## gnome-tetravex 3.38.1

=== debian/changelog ===
gnome-tetravex (1:3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Mon, 05 Oct 2020 17:59:36 +0200

gnome-tetravex (1:3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 21:10:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
@@ -16,7 +16,7 @@
                libgtk-3-dev (>= 3.22.23),
                meson (>= 0.50),
                valac (>= 0.24),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-tetravex
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-tetravex.git

## gnome-tetravex 3.38.2

=== debian/changelog ===
gnome-tetravex (1:3.38.2-5) unstable; urgency=medium

  * Team upload
  * Switch to appstreamcli for MetaInfo validation

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 09:02:26 +0200

gnome-tetravex (1:3.38.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Fix day-of-week for changelog entries 2.1.0-7, 2.0.4-1
  * Update standards version to 4.7.0, no changes needed

  [ Jeremy Bícha ]
  * Remove obsolete Breaks/Replaces
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 15:59:14 -0500

gnome-tetravex (1:3.38.2-3) unstable; urgency=medium

  * Cherry-pick proposed patch to fix build with latest meson
    (Closes: #1005542)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 14:26:45 -0400

gnome-tetravex (1:3.38.2-2) unstable; urgency=medium

  * Team upload
  * d/p/Puzzle-Use-temporary-variables-when-dereferencing-initial.patch,
    d/p/Puzzle-Clarify-why-we-can-assume-that-saved-tile-referenc.patch:
    Add proposed patches to fix a crash when validating a previous puzzle
    (Closes: #986718)

 -- Simon McVittie <smcv@debian.org>  Sun, 11 Apr 2021 14:08:37 +0100

gnome-tetravex (1:3.38.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Mon, 01 Mar 2021 21:20:57 +0100

=== debian/control ===
Source: gnome-tetravex
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper-compat (= 13),
               appstream <!nocheck>,
               desktop-file-utils <!nocheck>,
               itstool,
               libglib2.0-dev (>= 2.42.0),
               libgtk-3-dev (>= 3.22.23),
               meson (>= 0.50),
               valac (>= 0.24)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-tetravex
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-tetravex.git
Homepage: https://wiki.gnome.org/Apps/Tetravex

Package: gnome-tetravex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: yelp
Description: put tiles on a board and match their edges together
 GNOME Tetravex is a simple puzzle game which scope is to move the
 various pieces from one side of the board to the other side, so that
 the same numbers depicted on the pieces are touching each other.

## gnome-tetravex 3.38.3

=== debian/changelog ===
gnome-tetravex (1:3.38.3-2) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Point Homepage to GNOME GitLab
  * Remove obsolete postinst file
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Jan 2026 11:03:22 -0500

gnome-tetravex (1:3.38.3-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 10 Oct 2025 17:21:12 -0400

=== debian/control ===
Source: gnome-tetravex
Section: games
Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               appstream <!nocheck>,
               desktop-file-utils <!nocheck>,
               itstool,
               libglib2.0-dev (>= 2.42.0),
               libgtk-3-dev (>= 3.22.23),
               meson (>= 0.50),
               valac (>= 0.24)
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gnome-tetravex
Vcs-Git: https://salsa.debian.org/gnome-team/extras/gnome-tetravex.git
Homepage: https://gitlab.gnome.org/GNOME/gnome-tetravex

Package: gnome-tetravex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: yelp
Description: put tiles on a board and match their edges together
 GNOME Tetravex is a simple puzzle game which scope is to move the
 various pieces from one side of the board to the other side, so that
 the same numbers depicted on the pieces are touching each other.
